Package io.vertx.reactivex.ext.web.openapi.router

## Class OpenAPIRoute

- java.lang.Object
- - io.vertx.reactivex.ext.web.openapi.router.OpenAPIRoute

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class OpenAPIRoute
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<OpenAPIRoute>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenAPIRoute​(OpenAPIRoute delegate)` |
    `OpenAPIRoute​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OpenAPIRoute` | `addFailureHandler​(Handler<RoutingContext> handler)` | Adds a failure handler for this route
    `OpenAPIRoute` | `addHandler​(Handler<RoutingContext> handler)` | Adds a handler for this route which is executed after the security and validation handlers defined in the contract
    `boolean` | `doSecurity()` |
    `boolean` | `doValidation()` |
    `boolean` | `equals​(Object o)` |
    `OpenAPIRoute` | `getDelegate()` |
    `Operation` | `getOperation()` |
    `int` | `hashCode()` |
    `static OpenAPIRoute` | `newInstance​(OpenAPIRoute arg)` |
    `OpenAPIRoute` | `setDoSecurity​(boolean doSecurity)` | Sets the security flag for incoming requests.
    `OpenAPIRoute` | `setDoValidation​(boolean doValidation)` | Sets the validation flag for incoming requests.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OpenAPIRoute> __TYPE_ARG

  - ### Constructor Detail

    - #### OpenAPIRoute

          public OpenAPIRoute​(OpenAPIRoute delegate)

    - #### OpenAPIRoute

          public OpenAPIRoute​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OpenAPIRoute getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### addHandler

          public OpenAPIRoute addHandler​(Handler<RoutingContext> handler)

      Adds a handler for this route which is executed after the security and validation handlers defined in the contract
      Parameters:
        `handler` - The handler to add
      Returns:
        the route

    - #### addFailureHandler

          public OpenAPIRoute addFailureHandler​(Handler<RoutingContext> handler)

      Adds a failure handler for this route
      Parameters:
        `handler` - The failure handler to add
      Returns:
        the route

    - #### getOperation

          public Operation getOperation()

      Returns:
        the related operation of this route

    - #### doValidation

          public boolean doValidation()

      Returns:
        true if validation based on the OpenAPI contract is active for this route. By default, it is active.

    - #### setDoValidation

          public OpenAPIRoute setDoValidation​(boolean doValidation)

      Sets the validation flag for incoming requests.
      Parameters:
        `doValidation` - The validation flag.
      Returns:
        the route

    - #### doSecurity

          public boolean doSecurity()

      Returns:
        true if security checks based on the OpenAPI contract are active for this route. By default, it is active.

    - #### setDoSecurity

          public OpenAPIRoute setDoSecurity​(boolean doSecurity)

      Sets the security flag for incoming requests.
      Parameters:
        `doSecurity` - The security flag.
      Returns:
        the route

    - #### newInstance

          public static OpenAPIRoute newInstance​(OpenAPIRoute arg)